.\" $NetBSD: memc.4,v 1.4 2008/04/30 13:10:56 martin Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Steve C. Woodford.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 28, 2001
.Dt MEMC 4 mvme68k
.Os
.Sh NAME
.Nm memc
.Nd MVME162-MVME177 Memory Controller Chip
.Sh SYNOPSIS
.Cd "memc* at mainbus0"
.Sh DESCRIPTION
The
.Nm
devices are used on MVME162, MVME167, MVME172 and MVME177 boards
to manage one or more DRAM modules.
.Pp
Depending on the type of DRAM module fitted, the device will
either be a MEMC040 device or an MCECC device. The former manages
a Parity DRAM module while the latter manages an ECC DRAM module.
.Sh DIAGNOSTICS
.Bl -diag -compact
.It memc0 at mainbus0.
This is the normal autoconfiguration message indicating that the
Memory Controller Chip has been found and attached to the main processor
bus.
.It memc0: Correctable error on CPU read access to 0x12345678.
This indicates that an MCECC memory controller detected and corrected
a single bit error in one of the DRAM banks. There are a few variations
on the message where "CPU" can be replaced with "Peripheral Device"
or "Scrubber", and "read" can be substituted for "write".
This message is followed by some more details which can help pin-point
the error...
.It memc0: ECC Syndrome 0x23 (DRAM Bank C, Bit#16).
Pin-points exactly where the error occurred.
.It memc0: Uncorrectable error on CPU read access to 0x12345678.
Errors like this have the potential to corrupt data. As such, it is
likely the system will panic very soon afterwards.
.El
.Sh SEE ALSO
.Xr mainbus 4
.Sh BUGS
The
.Nm
driver does not yet fully support the MEMC040 (Parity) version
of the device.
